import Vue from 'vue'
import Vuex from 'vuex'
import { queryfmapID } from '@/api/login.js'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        ssoToken: 'admin:liujiandong',
        appTitle: '管理说明书', //顶部标题
        // ssoToken: null,
        plazaId: '1000423', //项目Id
        fmapID: '',
        haveFengMap: -1, //是否有蜂鸟地图的数据 -1为等待 0 为失败 1 为成功
    },
    getters: {
        ssoToken: (state) => state.ssoToken,
        appTitle: (state) => state.appTitle,
        plazaId: (state) => state.plazaId,
        fmapID: (state) => state.fmapID,
        haveFengMap: (state) => state.haveFengMap,
    },
    mutations: {
        SETSSOTOKEN(state, data) {
            state.ssoToken = data
        },
        SETAPPTITLE(state, data) {
            state.appTitle = data
        },
        SETPLAZAID(state, data) {
            state.plazaId = data
        },
        SETMAPID(state, data) {
            state.fmapID = data
        },
        SETHAVEFENGMAP(state, data) {
            state.haveFengMap = data
        },
    },
    actions: {
        async getfmapID(context) {
            await queryfmapID({
                mapId: context.state.plazaId,
            }).then((res) => {
                context.commit('SETMAPID', `${context.state.plazaId}_${res.mapVersion}`)
            })
        },
    },
    modules: {},
})
